<template lang="pug">
  div#lucia
    navigation(v-if="!loading")
    div.padding
    loader(v-if="loading")
    div#lc-router.router.animated.fadeIn(v-if="!loading")
      router-view
    div.padding
    tail(v-if="!loading")
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'

import 'animate.css/source/_base.css'
import 'animate.css/source/fading_entrances/fadeIn.css'

import Navigation from '@/comps/Navigation.vue'
import Tail from '@/comps/Tail.vue'
import Loader from '@/comps/Loader.vue'

@Component({ components: { Navigation, Tail, Loader } })
export default class App extends Vue {
  loading = true
  mounted () {
    this.loading = false
  }
}
</script>

<style lang="stylus">
@import url('https://fonts.googleapis.com/css?family=Exo+2');

html
  font-size: 14px
  background: linear-gradient(160deg, #190d3f, #29166a, #4412a1, #60136c 75%)
  background-attachment: fixed

body
  background-size: contain
  background-repeat: no-repeat
  margin: 0px
  padding: 0px
  overflow-x: hidden
  min-width: 320px
  font-size: 14px
  line-height: 1.4285em
  color: #ffffff

#lucia
  display: flex
  flex-direction: column
  width: 100%
  min-height: 100vh

body, button, input, select, textarea, .ui, h1, h2, h3, h4, h5
  font-family: 'Exo 2', BlinkMacSystemFont, -apple-system, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial", 'Meiryo', sans-serif !important

h1, h2, h3, h4, h5, .subtitle
  color: #ffffff

h3, h4, h5
  font-weight: 400

.padding
  padding: 2rem 0

.centered
  text-align: center

.router
  flex: 1

a
  text-decoration: none
</style>
